import { CommonModule } from '@angular/common';
import { Component, Input, Output, EventEmitter, NgModule } from '@angular/core';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var CardsComponent = /** @class */ (function () {
    function CardsComponent() {
        /**
         * recibe el icono a usar
         */
        this.icono = "fa fa-user";
        this.classTexto = "w-80 float-left";
        /**
         * Enviar el tamaño de columnas y el tamaño del icono
         */
        this.classIcono = "w-20 fontSize2-5 cardIcono";
        this.color = "#7a5449";
        this.click = new EventEmitter();
    }
    /**
     * @return {?}
     */
    CardsComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
    };
    /**
     * @param {?} $event
     * @return {?}
     */
    CardsComponent.prototype.clickCard = /**
     * @param {?} $event
     * @return {?}
     */
    function ($event) {
        this.click.emit($event);
    };
    CardsComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ngx-utilitario-cards',
                    template: "<div class=\"cards\" (click)=\"clickCard($event)\">\n    <div [ngClass]=\"classTexto\">\n        <h2 class=\"cardsTitulo\">{{titulo}}</h2>\n        <h3 class=\"cardsSubtitulo\">{{subtitulo}}</h3>\n    </div>\n    <div [ngClass]=\"classIcono\">\n        <i class=\"{{icono}} float-right cardIcono\" [style.color]=\"color\"></i>\n    </div>\n</div>",
                    styles: [".cards{background:#fff;box-shadow:rgba(0,0,0,.1);cursor:pointer;width:100%;float:left}.cards:hover{background-color:rgba(0,0,0,.05)}.cardsTitulo{font-size:.75rem;font-weight:700;text-transform:uppercase;color:#595959;padding:.35rem 0 0 1.2rem;margin:0}.cardsSubtitulo{color:#b0b0b0;font-size:1.5rem;font-weight:600;line-height:1.5;padding:0 0 0 1.2rem}.cardIcono{padding:.7rem .5rem .5rem 0}.fontSize2-5{font-size:2.5rem;padding-right:0}"]
                }] }
    ];
    /** @nocollapse */
    CardsComponent.ctorParameters = function () { return []; };
    CardsComponent.propDecorators = {
        titulo: [{ type: Input }],
        subtitulo: [{ type: Input }],
        icono: [{ type: Input }],
        classTexto: [{ type: Input }],
        classIcono: [{ type: Input }],
        color: [{ type: Input }],
        click: [{ type: Output }]
    };
    return CardsComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var CardsImgTextComponent = /** @class */ (function () {
    function CardsImgTextComponent() {
        this.descripcion = "afdasdf";
        this.etiqueta = "etiqueta";
        this.imagen = './assets/test.jpg';
        /**
         * recibe el icono a usar
         */
        this.icono = "fa fa-user";
        this.classTexto = "w-80 float-left";
        /**
         * Enviar el tamaño de columnas y el tamaño del icono
         */
        this.classIcono = "col-1 align-middle";
        this.color = "#000";
        this.height = "6.5rem";
        this.click = new EventEmitter();
    }
    /**
     * @return {?}
     */
    CardsImgTextComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
    };
    /**
     * @param {?} $event
     * @return {?}
     */
    CardsImgTextComponent.prototype.clickCard = /**
     * @param {?} $event
     * @return {?}
     */
    function ($event) {
        this.click.emit($event);
    };
    CardsImgTextComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ngx-utilitario-cards-img-text',
                    template: "<div class=\"row cards row-no-padding\" [style.color]=\"color\" (click)=\"clickCard($event)\">\n    <div class=\"col-2 float-left\">\n        <img class=\"cardsImagen\" src={{imagen}} [style.height]=\"height\" />\n    </div>\n    <div class=\"col-9\">\n        <div [ngClass]=\"classTexto\">\n            <h2 class=\"cardsTitulo\" [style.color]=\"color\">{{titulo}}</h2>\n            <h3 class=\"cardsDescripcion\">{{descripcion}}</h3>\n            <h3 class=\"cardsEtiqueta\">{{etiqueta}}</h3>\n        </div>\n    </div>\n    <div [ngClass]=\"classIcono\">\n        <i class=\"{{icono}} float-right cardIcono\"></i>\n    </div>\n</div>",
                    styles: [".cards{background:#fff;box-shadow:rgba(0,0,0,.1);cursor:pointer;width:100%;float:left}.cards:hover{background-color:rgba(0,0,0,.05)}.cardsImagen{width:100%;-o-object-fit:fill;object-fit:fill;padding-left:1.2rem}.cardsTitulo{font-size:1.25rem;font-weight:700;color:#595959;padding:.35rem 0 0 1.2rem;margin:0}.cardsDescripcion{color:#b0b0b0;font-size:1rem;font-weight:600;line-height:1.5;padding:0 0 0 1.2rem}.cardsEtiqueta{display:inline-block;margin:0 0 0 1.2rem;padding:.25rem .5rem;background-color:#ed2a21;color:#fff;font-size:.6rem;text-transform:capitalize;border-radius:.25rem}.classIcono{vertical-align:middle}.cardIcono{padding:.7rem .5rem .5rem 0}.fontSize40{font-size:2.5rem;padding-right:0}"]
                }] }
    ];
    /** @nocollapse */
    CardsImgTextComponent.ctorParameters = function () { return []; };
    CardsImgTextComponent.propDecorators = {
        titulo: [{ type: Input }],
        descripcion: [{ type: Input }],
        etiqueta: [{ type: Input }],
        imagen: [{ type: Input }],
        icono: [{ type: Input }],
        classTexto: [{ type: Input }],
        classIcono: [{ type: Input }],
        color: [{ type: Input }],
        height: [{ type: Input }],
        click: [{ type: Output }]
    };
    return CardsImgTextComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NgxUtilitarioRcltModule = /** @class */ (function () {
    function NgxUtilitarioRcltModule() {
    }
    NgxUtilitarioRcltModule.decorators = [
        { type: NgModule, args: [{
                    declarations: [CardsComponent, CardsImgTextComponent],
                    imports: [
                        CommonModule
                    ],
                    exports: [CardsComponent, CardsImgTextComponent]
                },] }
    ];
    return NgxUtilitarioRcltModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { CardsComponent, NgxUtilitarioRcltModule, CardsImgTextComponent as ɵa };

//# sourceMappingURL=ngx-utilitario-rclt.js.map